Bug 328013 - Kmail Crashes when errors occure while sending mails
Summary: Kmail Crashes when errors occure while sending mails
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Unclassified
Component: composer (show other bugs)
Version: 4.11.3
Platform: unspecified Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-24 15:11 UTC by Sandro Knauß
Modified: 2013-11-27 23:54 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.11.4


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sandro Knauß 2013-11-24 15:11:08 UTC
If you want to send an signed/encrypted message and the signing/encryption process fails kmail crashes.

Reproducible: Always

Steps to Reproduce:
1. Create a mail
2. remove secect keys ( for signing mails), hitting cancel at the pinentry
3. click send button

Actual Results:  
kmail crashes

Expected Results:  
get a propper error message
Comment 1 Sandro Knauß 2013-11-24 15:22:37 UTC
I already created a patch for it :
https://git.reviewboard.kde.org/r/114081/
Comment 2 Sandro Knauß 2013-11-24 21:01:41 UTC
Git commit 3e6d73d847502d1e7d273a4532b543a8835a93b8 by Sandro Knauß.
Committed on 24/11/2013 at 13:49.
Pushed by knauss into branch 'KDE/4.11'.

Fixes: Kmail Crashes when errors occure while sending mails

When a subjob fails just emitResult right after it ent exit the
function.
FIXED-IN: 4.11.5
REVIEW: 114081

M  +5    -3    messagecomposer/job/encryptjob.cpp
M  +7    -2    messagecomposer/job/signencryptjob.cpp
M  +5    -3    messagecomposer/job/signjob.cpp

http://commits.kde.org/kdepim/3e6d73d847502d1e7d273a4532b543a8835a93b8